%define		_class		PEAR
%define		_subclass	Frontend
%define		upstream_name	%{_class}_%{_subclass}_Web
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.7.5
Release:	%mkrel 7
Summary:	Webbased PEAR Package Manager
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/PEAR_Frontend_Web/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTML_Template_IT
Requires:	php-pear >= 1.6.1
BuildArch:	noarch

%description
The most accessible way to manage your pear-compatible packages.

This frontend's most valuable features are:
* Webbased: no remote shell access needed.
* Fully channel aware: no default channel, all channels are managed at the
same time
* Unique docviewer: read the installed documentation in your borwser.
* Plus all features of the PEAR Installer.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PEAR_Frontend_Web.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PEAR_Frontend_Web.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PEAR_Frontend_Web
fi

%files
%doc docs/PEAR_Frontend_Web/*
%{peardir}/*
%{xmldir}/PEAR_Frontend_Web.xml



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.7.5-7.mga8
+ Revision: 1499134
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.7.5-6.mga7
+ Revision: 1273754
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.7.5-5.mga6
+ Revision: 932194
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-4.mga5
+ Revision: 740732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-3.mga5
+ Revision: 687407
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7.5-2.mga4
+ Revision: 528240
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.7.5-1.mga4
+ Revision: 443890
- upgrade to version 0.7.5
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.7.4-4.mga3
+ Revision: 377129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.7.4-3.mga1
+ Revision: 44021
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-PEAR_Frontend_Web


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.4-3mdv2011.0
+ Revision: 613748
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.4-2mdv2010.1
+ Revision: 467946
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1
- new version
- use pear installer
- use fedora %%post/%%postun

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.7.3-2mdv2010.0
+ Revision: 441504
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.7.3-1mdv2009.1
+ Revision: 368332
- Update status to beta
- Update php pear PEAR_Frontend_Web to 0.7.3 version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-3mdv2009.1
+ Revision: 322545
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-2mdv2009.0
+ Revision: 237042
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-1mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2008.0
+ Revision: 32739
- fix build
- 0.7.0

* Sat Apr 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2008.0
+ Revision: 18935
- 0.6.1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-1mdv2008.0
+ Revision: 15727
- 0.5.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-1mdv2007.0
+ Revision: 82501
- Import php-pear-PEAR_Frontend_Web

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-1mdk
- 0.5.1

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4-8mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-5mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-4mdk
- fix the package.xml file so it will register

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdk
- initial Mandriva package (PLD import)

